#include <pygobject.h>
 
void tapiocabase_register_classes (PyObject *d); 
extern PyMethodDef tapiocabase_functions[];
 
DL_EXPORT(void)
init_base(void)
{
    PyObject *m, *d;
 
    init_pygobject ();
 
    m = Py_InitModule ("tapioca._base", tapiocabase_functions);
    d = PyModule_GetDict (m);
 
    tapiocabase_register_classes (d);
    tapiocabase_add_constants (m, "TPA_");
 
    if (PyErr_Occurred ()) {
        Py_FatalError ("can't initialise module tapiocabase");
    }
}
