#include <pygobject.h>
 
void tapiocaclient_register_classes (PyObject *d); 
extern PyMethodDef tapiocaclient_functions[];
 
DL_EXPORT(void)
init_client(void)
{
    PyObject *m, *d;
 
    init_pygobject ();
 
    m = Py_InitModule ("tapioca._client", tapiocaclient_functions);
    d = PyModule_GetDict (m);
 
    tapiocaclient_register_classes (d);
    tapiocaclient_add_constants (m, "TPA_");
 
    if (PyErr_Occurred ()) {
        Py_FatalError ("can't initialise module tapiocaclient");
    }
}
